Summary:	Reimplementation of the old game known as Tower Toppler or Nebulous
Name:		toppler
Version:	1.3
Release:	%mkrel 3
License:	GPL-3.0-only
Group:		Games/Arcade
URL:		https://gitlab.com/roever/toppler/
Source0:	https://gitlab.com/roever/toppler/-/archive/v%{version}/%{name}-v%{version}.tar.bz2
Patch100:	toppler-1.3-fix_makefile.patch
Patch101:	toppler-1.3-format_security.patch
Patch102:	toppler-1.3-head.patch
Patch103:	toppler-1.3-missing_include.patch
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(zlib)
Requires(post):	rpm-helper

%description
It is an almost complete reimplementation of the old game known as Tower
Toppler or Nebulous. This game was available at least for PC, Atari, C64
and now the PC version is abandonware.

The goal of the game is to reach the target door of each of the 8 towers
in currently 2 missions with this little green animal. This door is
usually at the very top of the tower.

But finding the way by using elevators and walking trough a maze of doors
and platforms is not the only problem you have to solve. There are a bunch
of other creatures living on the tower that will hinder you to reach your
target by pushing you over the edge of the platforms.

The only weapon of defence you have is to throw a little snowball. But
most of the other creatures just don't care about this. So you must avoid
them.

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%set_build_flags

%make_build \
  CXXFLAGS="$CXXFLAGS" \
  LDFLAGS="$LDFLAGS" \
  PKGDATADIR=%{_gamesdatadir}/%{name} \
  STATEDIR=%{_localstatedir}/lib/games \
  toppler translation

%install
%make_install STATEDIR=%{_localstatedir}/lib/games PKGDATADIR=%{_gamesdatadir}/%{name} BINDIR=%{_gamesbindir}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Tower Toppler
Comment=Reimplementation of the old game known as Tower Toppler or Nebulous
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

mkdir -p %{buildroot}%{_localstatedir}/lib/games/
touch %{buildroot}%{_localstatedir}/lib/games/toppler.hsc
chmod a+w %{buildroot}%{_localstatedir}/lib/games/toppler.hsc

mkdir -p %{buildroot}%{_datadir}/pixmaps/
install -p -m 0644 dist/toppler*.xpm %{buildroot}%{_datadir}/pixmaps/

%find_lang %{name}

%post
%create_ghostfile %{_localstatedir}/lib/games/toppler.hsc root games 664

%files -f %{name}.lang
%license COPYING
%doc AUTHORS README.md doc/changelog.md
%attr(664, root, games) %ghost %{_localstatedir}/lib/games/toppler.hsc
%attr(2755, root, games) %{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_mandir}/man?/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}*.xpm


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.3-3.mga10
+ Revision: 2228326
- Mageia 10 Mass Rebuild

* Sat Sep 28 2024 daviddavid <daviddavid> 1.3-2.mga10
+ Revision: 2101858
- add patches to update to current git and fix missing includes

* Sat Feb 03 2024 daviddavid <daviddavid> 1.3-1.mga10
+ Revision: 2036888
- new version: 1.3
- switch to sdl2
- new project Url at https://gitlab.com/roever/toppler/

* Fri Apr 01 2022 umeabot <umeabot> 1.1.6-9.mga9
+ Revision: 1839807
- Mageia 9 Mass Rebuild

* Thu Apr 23 2020 danf <danf> 1.1.6-8.mga8
+ Revision: 1571476
- Fix Comment= in .desktop file

* Fri Feb 14 2020 umeabot <umeabot> 1.1.6-7.mga8
+ Revision: 1517446
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.1.6-6.mga7
+ Revision: 1301438
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.1.6-5.mga6
+ Revision: 942958
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.6-4.mga5
+ Revision: 746541
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.6-3.mga5
+ Revision: 689920
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.6-2.mga4
+ Revision: 528472
- Mageia 4 Mass Rebuild

* Wed Jun 19 2013 zezinho <zezinho> 1.1.6-1.mga4
+ Revision: 445160
- new version

* Mon Jan 14 2013 umeabot <umeabot> 1.1.5-3.mga3
+ Revision: 384655
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 zezinho <zezinho> 1.1.5-2.mga2
+ Revision: 220495
- remove soundwrapper from menu as it is not used anymore

* Sun Jul 10 2011 stormi <stormi> 1.1.5-1.mga2
+ Revision: 121840
- remove merged upstream hunk from the patch
- rediff patch for the other hunk
- add back %%post section title for ghostfile creation
- new bugfix release 1.1.5

* Tue Apr 26 2011 wally <wally> 1.1.4-2.mga1
+ Revision: 91832
- fix desktop file name (mga#954)
- fix license
- drop buildroot definition

* Thu Mar 17 2011 steletch <steletch> 1.1.4-1.mga1
+ Revision: 73466
- Clean spec file
- imported package toppler


* Fri Oct 01 2010 Funda Wang <fwang@mandriva.org> 1.1.4-1mdv2011.0
+ Revision: 582219
- new version 1.1.4

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.3-7mdv2010.1
+ Revision: 524232
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.1.3-6mdv2010.0
+ Revision: 427428
- rebuild

* Sat Apr 11 2009 Funda Wang <fwang@mandriva.org> 1.1.3-5mdv2009.1
+ Revision: 366389
- fix str fmt

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.1.3-4mdv2009.0
+ Revision: 265767
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Mon Jun 02 2008 Olivier Blin <oblin@mandriva.com> 1.1.3-3mdv2009.0
+ Revision: 214227
- fix build with latest glibc (open with O_CREAT needs a third arg)

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.3-2mdv2008.1
+ Revision: 180339
- fix build
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Thu Aug 02 2007 Olivier Blin <oblin@mandriva.com> 1.1.3-1mdv2008.0
+ Revision: 58091
- use requires(post) instead of prereq
- 1.1.3


* Fri Nov 17 2006 Olivier Blin <oblin@mandriva.com> 1.1.2a-1mdv2007.0
+ Revision: 85258
- really pass directories, using CXXFLAGS
- fix top datadir
- xdg menu
- add desktop file and pixmap
- fix doc installation
- replace dir patches with cflags and make options
- 1.1.2a
- bunzip2 patches
- Import toppler

* Tue May 09 2006 Stefan van der Eijk <stefan@eijk.nu> 1.1.1-2mdk
- rebuild for sparc

* Tue Dec 21 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1.1-1mdk
- 1.1.1

* Tue Dec 14 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1.0-1mdk
- 1.1.0

* Thu Aug 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.6-3mdk
- Rebuild with new menu

* Sat Jun 05 2004 <lmontel@n2.mandrakesoft.com> 1.0.6-2mdk
- Rebuild

* Sun Feb 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.6-1mdk
- 1.0.6

* Mon Jan 26 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.5-1mdk
- 1.0.5

* Sun Jan 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.4-1mdk
- 1.0.4
- fix buildrequires (lib64..)
- add locales
- fix path to games data (P1)

